<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div>
            <p id="p"></p>
        </div>
        <script>
            function assignEvents(e) {
                var months = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
                months.sort();
                for (i = 0; i < months.length; i++) {
                    document.getElementById("p").innerHTML += months[i] + "<br>";
                }
                document.getElementById("p").innerHTML += "<br>";
                months = new Array("January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
                months.reverse();
                for (i = 0; i < months.length; i++) {
                    document.getElementById("p").innerHTML += months[i] + "<br>";
                }
                document.getElementById("p").innerHTML += "<br>";
                months = [];
                months[0] = "February";
                months[1] = "March";
                months[2] = "April";
                months[3] = "May";
                months[4] = "June";
                months.push("July");
                months[6] = "August";
                months[7] = "September";
                months[8] = "October";
                months[9] = "November";
                months[10] = "December";
                months.unshift("January");
                for (i = 0; i < months.length; i++) {
                    document.getElementById("p").innerHTML += months[i] + "<br>";
                }
                document.getElementById("p").innerHTML += "<br>";
                months = new Array();
                months[0] = "January";
                months[1] = "February";
                months[2] = "March";
                months[3] = "April";
                months[4] = "May";
                months[5] = "June";
                months[6] = "July";
                months[7] = "August";
                months[8] = "September";
                months[9] = "October";
                months[10] = "November";
                months[11] = "December";
                var january = months.shift();
                months.unshift(january);
                for (i = 0; i < months.length; i++) {
                    document.getElementById("p").innerHTML += months[i] + "<br>";
                }
                document.getElementById("p").innerHTML += "<br>";
            }
            document.addEventListener("DOMContentLoaded", assignEvents);
        </script>
    </body>
</html>
